import { declare } from '@babel/helper-plugin-utils';

var index = declare((api, options) => {
  api.assertVersion("8.0.0-alpha.14");
  const noNewArrows = api.assumption("noNewArrows") ?? !options.spec;
  return {
    name: "transform-arrow-functions",
    visitor: {
      ArrowFunctionExpression(path) {
        if (!path.isArrowFunctionExpression()) return;
        {
          path.arrowFunctionToExpression({
            allowInsertArrow: false,
            noNewArrows
          });
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
